aboutsummaryrefslogtreecommitdiffstats
path: root/main
diff options
context:
space:
mode:
authorEivind Uggedal <eivind@uggedal.com>2014-05-26 08:31:43 +0000
committerEivind Uggedal <eivind@uggedal.com>2014-05-26 08:31:43 +0000
commit6676a28d90aa46ed21ca774afbd1227e6cef8ee7 (patch)
tree5aea566cb418b1f3c5c0863f55c63cd18307ac4b /main
parented6d1c1ce955f87dd6f8ddb95012b928a24646dd (diff)
downloadaports-6676a28d90aa46ed21ca774afbd1227e6cef8ee7.tar.gz
aports-6676a28d90aa46ed21ca774afbd1227e6cef8ee7.tar.bz2
aports-6676a28d90aa46ed21ca774afbd1227e6cef8ee7.tar.xz
main/hiredis: moved from testing
Diffstat (limited to 'main')
-rw-r--r--main/hiredis/APKBUILD41
1 files changed, 41 insertions, 0 deletions
diff --git a/main/hiredis/APKBUILD b/main/hiredis/APKBUILD
new file mode 100644
index 0000000000..de94ae65db
--- /dev/null
+++ b/main/hiredis/APKBUILD
@@ -0,0 +1,41 @@
+# Maintainer: Eivind Uggedal <eivind@uggedal.com>
+pkgname=hiredis
+pkgver=0.11.0
+pkgrel=0
+pkgdesc="Minimalistic C client library for Redis"
+url="https://github.com/redis/hiredis"
+arch="all"
+license="BSD"
+depends=""
+depends_dev=""
+makedepends="$depends_dev"
+install=""
+subpackages="$pkgname-dev"
+source="$pkgname-$pkgver.tar.gz::$url/archive/v$pkgver.tar.gz"
+
+_builddir="$srcdir/$pkgname-$pkgver"
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+
+ make DEBUG=
+}
+
+package() {
+ cd "$_builddir"
+
+ make PREFIX="$pkgdir"/usr install
+}
+
+md5sums="e2ac29509823ccc96990b6fe765b5d46 hiredis-0.11.0.tar.gz"
+sha256sums="ff7b2849e55bf3589eecced7125934feb9645c36a4d490d001dc08c93553eafd hiredis-0.11.0.tar.gz"
+sha512sums="a506c3e09267bd431dea87fdb7f9a44fb1d4795cbecb31323fe2fb9d66c10351fbf6d931fdaf2731fc2d0a985234e5d6ba0c9e694374d2f414294d27b6f060b8 hiredis-0.11.0.tar.gz"